---
tags:
  - suspend
---
# kcli suspend-ready-q


Administratively suspend the ready queue for an egress path


**Usage:** `kcli suspend-ready-q [OPTIONS] --name <NAME> --reason <REASON>`

## Options


* `--name <NAME>` — The name of the ready queue that you wish to suspend

* `--reason <REASON>` — The reason to log in the delivery logs

* `--duration <DURATION>` — The duration to suspend. The default is '5m'



